Subject: bug#54564: 29.0.50; [PATCH] Use gsettings font rendering entries for pgtk builds

From: Po Lu <[email-masked]>
Date: Sun, 27 Mar 2022 08:59:32 +0800

Pieter van Prooijen <[email-masked]> writes:

> Hello All, 
>
> Thanks for looking into my patch!, I'll fix the formatting issues you
> mentioned and narrow the changes to the HAVE_PGTK define in the various
> source files, so it's is only present for that build.

Indeed, and thanks for working on Emacs as well.

> Not sure about having this functionality controlled by a user defined
> variable (as is possible with using the system font), as far as I know,
> the current cairo X backend doesn't have this as well, it will always
> use the gsettings/xrdb defined parameters for rendering.

We don't support using the PGTK build on X Windows anyway, so that's not
a real problem.  Besides, manually specified font options will override
whatever Cairo thinks is best.

> Regarding the re-rendering upon a config change, I'll have a look at
> the options mentioned (clearing the font cache and marking each frame
> for redisplay), but that will probably be a separate patch.

I think it would be best to have that feature as part of this change.